Indice del forum
Forum del Gruppo Utilizzatori Italiani di TeX

Homepage di GuITHomepage di GuIT
GuidaGuITIntroduzione all'arte della composizione tipografica
ArteLaTeXL'arte di scrivere con LaTeX
lshortUna (mica tanto) breve introduzione a LaTeX2e [IT] - [EN]
l2tabuitElenco dei “peccati” degli utenti di LaTeX2e
itamsldocManuale utente di amsmath
compsymThe Comprehensive LaTeX Symbol List

Aderisci a GuIT
Registrati al ForumRegistrati al Forum
FAQ di phpBBFAQ di phpBB
Netiquette del ForumNetiquette
Lista degli utentiLista degli utenti
ProfiloProfilo
Messaggi PrivatiMessaggi Privati
LoginLogin
Cerca sul sito  
Ricerca Avanzata sul Forum di GuIT

ATTENZIONE

ATTENZIONE

Il Forum si è trasferito al nuovo indirizzo: www.guitex.org. Le vecchie discussioni rimarranno visibili per consultazione. Gli utenti registrati potranno continuare a usare le proprie credenziali d'accesso sul nuovo Forum.

ATTENZIONE

ATTENZIONE


tlmgr comando non trovato

 
Questo forum è chiuso. Non puoi inserire, rispondere o modificare i Topics   Topic chiuso    Indice del forum -> Altri programmi
Precedente :: Successivo  
Autore Messaggio
emanuelesacco
Neofita


Registrato: 28/05/08 17:00
Messaggi: 78

MessaggioInviato: Lun Giu 07, 2010 5:16 pm    Oggetto: tlmgr comando non trovato Rispondi citando

Salve, se da terminale digito tlmgr --gui ho il seguente risultato:

No command 'tlmgr' found, did you mean:
Command 'vlmgr' from package 'qdbm-util' (universe)
Command 'rlmgr' from package 'qdbm-util' (universe)
tlmgr: command not found


Qualcuno sa come posso fare?

Grazie in anticipo

ES
Torna in cima
Profilo Messaggio privato
robitex
Avanzato


Registrato: 23/11/07 11:48
Messaggi: 965
Località: Carrara (MS)

MessaggioInviato: Lun Giu 07, 2010 5:25 pm    Oggetto: Re: tlmgr comando non trovato Rispondi citando

emanuelesacco ha scritto:
Salve, se da terminale digito tlmgr --gui ho il seguente risultato:

No command 'tlmgr' found, did you mean:
Command 'vlmgr' from package 'qdbm-util' (universe)
Command 'rlmgr' from package 'qdbm-util' (universe)
tlmgr: command not found


Qualcuno sa come posso fare?

Grazie in anticipo

ES

Ciao,
probabilmente hai installato TeX Live 2009 senza attivare la generazione dei symlink, quindi la shell non trova gli eseguibili.
Dovresti ottenere lo stesso risultato se digiti semplicemente:
Codice:
roberto@roberto-desktop:~$ pdftex -version


io ho risolto creando un alias:
apri con un editor il file .bash_aliases presente nella tua home directory ed aggiungi:
Codice:
# Personal alias definitions.
alias supertlmgr="sudo /usr/local/texlive/2009/bin/i386-linux/tlmgr"


Salva e da terminal adesso prova:
Codice:
supertlmgr --gui

in questo modo attivi tlmgr con i diritti di root e senza toccare le directory di sistema.

Immagino che tu usi una distribuzione Debian o derivata vero?
Bye
Torna in cima
Profilo Messaggio privato HomePage
emanuelesacco
Neofita


Registrato: 28/05/08 17:00
Messaggi: 78

MessaggioInviato: Lun Giu 07, 2010 5:30 pm    Oggetto: Rispondi citando

Ciao e grazie.

Se digito pdftex -version ottengo

Codice:

pdfTeX 3.1415926-1.40.10-2.2 (TeX Live 2009/Debian)
kpathsea version 5.0.0
Copyright 2009 Peter Breitenlohner (eTeX)/Han The Thanh (pdfTeX).
There is NO warranty.  Redistribution of this software is
covered by the terms of both the pdfTeX copyright and
the Lesser GNU General Public License.
For more information about these matters, see the file
named COPYING and the pdfTeX source.
Primary author of pdfTeX: Peter Breitenlohner (eTeX)/Han The Thanh (pdfTeX).
Compiled with libpng 1.2.42; using libpng 1.2.42
Compiled with zlib 1.2.3.3; using zlib 1.2.3.3
Compiled with poppler version 0.12.4


Io uso Ubuntu 10.04, ma il file .bash_aliases non è presente nella mia home.
Torna in cima
Profilo Messaggio privato
egreg9
Staff


Registrato: 14/03/04 19:19
Messaggi: 9988
Località: Padova, Verona

MessaggioInviato: Lun Giu 07, 2010 5:31 pm    Oggetto: Re: tlmgr comando non trovato Rispondi citando

emanuelesacco ha scritto:
Salve, se da terminale digito tlmgr --gui ho il seguente risultato:

No command 'tlmgr' found, did you mean:
Command 'vlmgr' from package 'qdbm-util' (universe)
Command 'rlmgr' from package 'qdbm-util' (universe)
tlmgr: command not found


Qualcuno sa come posso fare?

Grazie in anticipo

ES

La TeXLive 2009/Ubuntu non ha tlmgr. Prenditela con Debian o adeguati. Smile

Ciao
Enrico
_________________
Ceterum censeo differentiale signum non esse operatorem.
Torna in cima
Profilo Messaggio privato HomePage
emanuelesacco
Neofita


Registrato: 28/05/08 17:00
Messaggi: 78

MessaggioInviato: Lun Giu 07, 2010 5:34 pm    Oggetto: Rispondi citando

Grazie me ne farò una ragione Smile
Torna in cima
Profilo Messaggio privato
robitex
Avanzato


Registrato: 23/11/07 11:48
Messaggi: 965
Località: Carrara (MS)

MessaggioInviato: Lun Giu 07, 2010 5:46 pm    Oggetto: Rispondi citando

emanuelesacco ha scritto:
Grazie me ne farò una ragione Smile

ah, capito. Davo per scontato che tu avessi fatto l'installazione dai mirror CTAN e non dai repository della distro.

Bye
Torna in cima
Profilo Messaggio privato HomePage
emanuelesacco
Neofita


Registrato: 28/05/08 17:00
Messaggi: 78

MessaggioInviato: Lun Giu 07, 2010 5:50 pm    Oggetto: Rispondi citando

Quindi per avere tlmgr dovrei disinstallare il TexLive che ho sul pc e reinstallarlo dai mirror CTAN (qualunque cosa voglia dire)?
Torna in cima
Profilo Messaggio privato
robitex
Avanzato


Registrato: 23/11/07 11:48
Messaggi: 965
Località: Carrara (MS)

MessaggioInviato: Lun Giu 07, 2010 6:40 pm    Oggetto: Rispondi citando

emanuelesacco ha scritto:
Quindi per avere tlmgr dovrei disinstallare il TexLive che ho sul pc e reinstallarlo dai mirror CTAN (qualunque cosa voglia dire)?

Certo.
Non ci vuole molto, ma attenzione, con la soluzione pacchettizzata in Debian puoi tranquillamente installare Kile come editor perché l'editor ha come dipendenza obbligatoria la TeX Live Debian che è soddisfatta con i file dei repository.
Viceversa, hai le solite soluzioni più volte menzionate sul forum (compilazione a mano dai sorgenti di Kile come feci io Cool oppure tenersi due TeX Live, oppure fare a meno di Kile come invece faccio oggi, ecc.).

Puoi anche lavorare tranquillamente così e fare il salto alla TeX Live + tlmgr ad ottobre quando uscirà la versione 2010.

Bye
Torna in cima
Profilo Messaggio privato HomePage
capitalaslash
Avanzato


Registrato: 10/07/08 21:56
Messaggi: 350
Località: Bologna

MessaggioInviato: Lun Giu 07, 2010 7:10 pm    Oggetto: Rispondi citando

robitex ha scritto:
Certo.
Non ci vuole molto, ma attenzione, con la soluzione pacchettizzata in Debian puoi tranquillamente installare Kile come editor perché l'editor ha come dipendenza obbligatoria la TeX Live Debian che è soddisfatta con i file dei repository.
Viceversa, hai le solite soluzioni più volte menzionate sul forum (compilazione a mano dai sorgenti di Kile come feci io Cool oppure tenersi due TeX Live, oppure fare a meno di Kile come invece faccio oggi, ecc.).

Puoi anche lavorare tranquillamente così e fare il salto alla TeX Live + tlmgr ad ottobre quando uscirà la versione 2010.

Bye


la soluzione mjigliore e' installare kile indicando di non soddisfare le raccomandazioni.

Codice:
apt-get install kile --no-install-recommends


installa kile e non la texlive collegata, e si puo' cosi' usare con la texlive da repository.
Torna in cima
Profilo Messaggio privato HomePage
emanuelesacco
Neofita


Registrato: 28/05/08 17:00
Messaggi: 78

MessaggioInviato: Lun Giu 07, 2010 7:28 pm    Oggetto: Rispondi citando

per texmaker valgono le stesse considerazioni?

Grazie
Torna in cima
Profilo Messaggio privato
capitalaslash
Avanzato


Registrato: 10/07/08 21:56
Messaggi: 350
Località: Bologna

MessaggioInviato: Lun Giu 07, 2010 7:29 pm    Oggetto: Rispondi citando

emanuelesacco ha scritto:
per texmaker valgono le stesse considerazioni?

Grazie


si, anche per texmaker texlive e' tra i recommends.
Torna in cima
Profilo Messaggio privato HomePage
robitex
Avanzato


Registrato: 23/11/07 11:48
Messaggi: 965
Località: Carrara (MS)

MessaggioInviato: Lun Giu 07, 2010 8:33 pm    Oggetto: Rispondi citando

capitalaslash ha scritto:
robitex ha scritto:
Certo.
Non ci vuole molto, ma attenzione, con la soluzione pacchettizzata in Debian puoi tranquillamente installare Kile come editor perché l'editor ha come dipendenza obbligatoria la TeX Live Debian che è soddisfatta con i file dei repository.
Viceversa, hai le solite soluzioni più volte menzionate sul forum (compilazione a mano dai sorgenti di Kile come feci io Cool oppure tenersi due TeX Live, oppure fare a meno di Kile come invece faccio oggi, ecc.).

Puoi anche lavorare tranquillamente così e fare il salto alla TeX Live + tlmgr ad ottobre quando uscirà la versione 2010.

Bye


la soluzione mjigliore e' installare kile indicando di non soddisfare le raccomandazioni.

Codice:
apt-get install kile --no-install-recommends


installa kile e non la texlive collegata, e si puo' cosi' usare con la texlive da repository.


Ottimo lo provo subito. Non avevo notato questa opzione, è nuova?
Il problema si risolve direi in maniera brillante in questo modo.
Grazie Capitalaslash.
Torna in cima
Profilo Messaggio privato HomePage
robitex
Avanzato


Registrato: 23/11/07 11:48
Messaggi: 965
Località: Carrara (MS)

MessaggioInviato: Mar Giu 08, 2010 5:00 pm    Oggetto: Rispondi citando

No no, non funziona...

Ecco il comando predetto cosa mi dice:
Codice:
roberto@roberto-desktop:~$ sudo apt-get install kile --no-install-recommends
[sudo] password for roberto:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti saranno inoltre installati:
  kdebase-runtime kdebase-runtime-data kdelibs-bin kdelibs5 kdelibs5-data
  konsole libattica0 libclucene0ldbl libdbusmenu-qt2 libexiv2-6 libiodbc2
  libphonon4 libplasma3 libpolkit-qt-1-0 libqca2 libqt4-designer
  libqt4-network libqt4-opengl libqt4-qt3support libqt4-sql libqt4-webkit
  libqt4-xmlpatterns libsoprano4 libssh-4 libstreamanalyzer0 libstreams0
  libxcb-shape0 libxcb-shm0 libxcb-xv0 libxine1 libxine1-bin libxine1-console
  libxine1-misc-plugins libxine1-x luatex oxygen-icon-theme
  phonon-backend-xine plasma-scriptengine-javascript shared-desktop-ontologies
  soprano-daemon tex-common texlive-base texlive-binaries texlive-common
  texlive-doc-base texlive-latex-base
Pacchetti suggeriti:
  djvulibre-bin hspell kile-doc libqca2-plugin-cyrus-sasl libqca2-plugin-gnupg
  libqca2-plugin-ossl libqca2-plugin-pkcs11 libqt4-dev gxine xine-ui
  libxine1-doc libxine-doc libxine1-ffmpeg kcm-phonon-xine debhelper
Pacchetti raccomandati:
  icoutils kubuntu-debug-installer ttf-dejavu asymptote context dblatex
  dvipdfmx dvipng kbibtex pybliographer gbib jabref latex2html lilypond
  psutils tex4ht texlive-metapost texlive-xetex exiv2 libqt4-sql-mysql
  libqt4-sql-odbc libqt4-sql-psql libqt4-sql-sqlite libqt4-sql-sqlite2
  texlive-luatex virtuoso-nepomuk lmodern texlive-latex-base-doc
I seguenti pacchetti NUOVI saranno installati:
  kdebase-runtime kdebase-runtime-data kdelibs-bin kdelibs5 kdelibs5-data kile
  konsole libattica0 libclucene0ldbl libdbusmenu-qt2 libexiv2-6 libiodbc2
  libphonon4 libplasma3 libpolkit-qt-1-0 libqca2 libqt4-designer
  libqt4-network libqt4-opengl libqt4-qt3support libqt4-sql libqt4-webkit
  libqt4-xmlpatterns libsoprano4 libssh-4 libstreamanalyzer0 libstreams0
  libxcb-shape0 libxcb-shm0 libxcb-xv0 libxine1 libxine1-bin libxine1-console
  libxine1-misc-plugins libxine1-x luatex oxygen-icon-theme
  phonon-backend-xine plasma-scriptengine-javascript shared-desktop-ontologies
  soprano-daemon tex-common texlive-base texlive-binaries texlive-common
  texlive-doc-base texlive-latex-base
0 aggiornati, 47 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 81,1MB di archivi.
Dopo quest'operazione, verranno occupati 250MB di spazio su disco.


Come si legge in fondo la texlive base viene comunque installata perché il pacchetto per Kile include TeX Live come dipendenza obbligatoria non raccomandata.
.. mi sembrava troppo bello.

comunque, grazie lo stesso.
Bye
Torna in cima
Profilo Messaggio privato HomePage
capitalaslash
Avanzato


Registrato: 10/07/08 21:56
Messaggi: 350
Località: Bologna

MessaggioInviato: Sab Giu 12, 2010 8:31 am    Oggetto: Rispondi citando

bisogna allora installare un pacchetto fake che soddisfi le dipendenze obbligatorie di kile.
con equivs basta processare questo file di testo (texlive.ctl) che soddisfa anche i raccomandati e opzionali

Codice:
Section: tex
Package: texlive-dummy
Provides: texlive-latex-base, asymptote,
asymptote-doc, context, dblatex, dvipdfmx, dvipng, feynmf, guile-1.8, lacheck,
latex-beamer, latex-xcolor, latex2html, libsigsegv0, lilypond, lilypond-data,
lilypond-doc, lmodern, luatex, pgf, preview-latex-style, prosper, ps2eps,
tex4ht, tex4ht-common, texlive, texlive-base, texlive-base-bin,
texlive-base-bin-doc, texlive-common, texlive-doc-base, texlive-extra-utils,
texlive-font-utils, texlive-fonts-recommended, texlive-fonts-recommended-doc,
texlive-generic-extra, texlive-generic-recommended, texlive-humanities,
texlive-humanities-doc, texlive-lang-cyrillic, texlive-latex-base,
texlive-latex-base-doc, texlive-latex-extra, texlive-latex-extra-doc,
texlive-latex-recommended, texlive-latex-recommended-doc, texlive-math-extra,
texlive-metapost, texlive-metapost-doc, texlive-pictures,
texlive-pictures-doc, texlive-pstricks, texlive-pstricks-doc, texlive-xetex,
tipa
Description: texlive dummy package
This package provides dpkg with the information that
there are all texlive packages installed.


con

Codice:
equivs-build texlive.ctl


il risultato e' il pacchetto texlive-dummy_1.0_all.deb che andra' installato con

Codice:
sudo dpkg -i texlive-dummy_1.0_all.deb


ora e' possibile installare kile visto che tutte le dipendenze obbligatorie sono soddisfatte.
Torna in cima
Profilo Messaggio privato HomePage
robitex
Avanzato


Registrato: 23/11/07 11:48
Messaggi: 965
Località: Carrara (MS)

MessaggioInviato: Mar Ott 12, 2010 10:48 am    Oggetto: Rispondi citando

capitalaslash ha scritto:
bisogna allora installare un pacchetto fake che soddisfi le dipendenze obbligatorie di kile.
con equivs basta processare questo file di testo (texlive.ctl) che soddisfa anche i raccomandati e opzionali

Codice:
Section: tex
Package: texlive-dummy
Provides: texlive-latex-base, asymptote,
asymptote-doc, context, dblatex, dvipdfmx, dvipng, feynmf, guile-1.8, lacheck,
latex-beamer, latex-xcolor, latex2html, libsigsegv0, lilypond, lilypond-data,
lilypond-doc, lmodern, luatex, pgf, preview-latex-style, prosper, ps2eps,
tex4ht, tex4ht-common, texlive, texlive-base, texlive-base-bin,
texlive-base-bin-doc, texlive-common, texlive-doc-base, texlive-extra-utils,
texlive-font-utils, texlive-fonts-recommended, texlive-fonts-recommended-doc,
texlive-generic-extra, texlive-generic-recommended, texlive-humanities,
texlive-humanities-doc, texlive-lang-cyrillic, texlive-latex-base,
texlive-latex-base-doc, texlive-latex-extra, texlive-latex-extra-doc,
texlive-latex-recommended, texlive-latex-recommended-doc, texlive-math-extra,
texlive-metapost, texlive-metapost-doc, texlive-pictures,
texlive-pictures-doc, texlive-pstricks, texlive-pstricks-doc, texlive-xetex,
tipa
Description: texlive dummy package
This package provides dpkg with the information that
there are all texlive packages installed.


con

Codice:
equivs-build texlive.ctl


il risultato e' il pacchetto texlive-dummy_1.0_all.deb che andra' installato con

Codice:
sudo dpkg -i texlive-dummy_1.0_all.deb


ora e' possibile installare kile visto che tutte le dipendenze obbligatorie sono soddisfatte.


Ciao a tutti,
ho portato a termine la procedura con equivs e ne ho fatto una piccola guida che potete consultare se volete qui: http://robitex.wordpress.com/2010/10/12/kile-e-tex-live-2010-su-sistemi-ubuntu/

Grazie a capitalaslash ed al professor Beccari che sul blog mi ha solleticato ad affrontare l'argomento.
Ciao. Alla prossima.
Torna in cima
Profilo Messaggio privato HomePage
Mostra prima i messaggi di:   
Questo forum è chiuso. Non puoi inserire, rispondere o modificare i Topics   Topic chiuso    Indice del forum -> Altri programmi Tutti i fusi orari sono GMT + 1 ora
Pagina 1 di 1

 
Merge topics 
Vai a:  
Non puoi inserire nuovi Topic in questo forum
Non puoi rispondere ai Topic in questo forum
Non puoi modificare i tuoi messaggi in questo forum
Non puoi cancellare i tuoi messaggi in questo forum
Non puoi votare nei sondaggi in questo forum


Powered by phpBB © 2001, 2002 phpBB Group
Protetto da Project Honey Pot and phpBB.cc